ITEM.Name = 'Frostmourne'
ITEM.Price = 250
ITEM.Model = 'models/weapons/w_frostmourne.mdl'
ITEM.WeaponClass = 'weapon_ttt_frostmourne'
ITEM.SingleUse = false
ITEM.AllowedUserGroups = { "donator", "superadmin", "admin", "mod", "coder", "owner"}

function ITEM:OnEquip(ply)
	ply:StripWeapon('weapon_zm_improvised')
	ply:Give('weapon_ttt_frostmourne')
end

function ITEM:OnHolster(ply)
	ply:StripWeapon('weapon_ttt_frostmourne')
	ply:Give('weapon_zm_improvised')
end

function ITEM:PlayerSpawn(ply)
    ply:StripWeapon('weapon_zm_improvised')
	ply:Give('weapon_ttt_frostmourne')
end

